@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;500;700&display=swap");

body {
  --color: rgba(30, 30, 30);
  --bgColor: rgba(245, 245, 245);
  color: var(--color);
  background: var(--bgColor);
}
header{
  color: white;
}
.container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    gap: 2rem;
    margin-top: 8rem;
    margin-left: 25rem;
    margin-right: 20rem;
}
.sub_ttl{
    font-size: 5rem;
    margin: 0;
    color: #23364D;
}
.sub_ttl2{
    font-size: 3rem;
    font-weight: 800;
    margin: 0;
    color: #344863;
    scroll-margin-top : 2.5em;
}
.sub_ttl3{
    font-size: 2rem;
    margin: 0;
    color: #344863;
    font-weight: bolder;
}
.sub_ttl4{
    font-size: 1.8rem;
    margin: 0;
    text-indent: 50px;
    text-decoration: underline;
    color: #344863;
    font-weight: bolder;
}
.grid_fil {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    column-gap: 20rem;
    row-gap: 0;
}

.grid_fil .card {
    position: relative;
    cursor: pointer;
}

.grid_fil .card .face {
    width: 300px;
    height: 200px;
    transition: 0.5s;
}

.grid_fil .card .face.face1 {
    position: relative;
    background: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    transform: translateY(100px);
}

.grid_fil .card:nth-child(1):hover .face.face1 {
    background: #001f3f;
    transform: translateY(0);
}

.grid_fil .card:nth-child(2):hover .face.face1 {
    background: #800020; 
    transform: translateY(0);
}

.grid_fil .card:nth-child(3):hover .face.face1 {
    background: #004d00;
    transform: translateY(0);
}

.grid_fil .card:nth-child(4):hover .face.face1 {
    background: #8B4513;
    transform: translateY(0);
}

.grid_fil .card .face.face1 .content {
    opacity: 0.2;
    transition: 0.5s;
}

.grid_fil .card:hover .face.face1 .content {
    opacity: 1;
}

.grid_fil .card .face.face1 .content img {
    max-width: 100px;
}

.grid_fil .card .face.face1 .content h3 {
    margin: 10px 0 0;
    padding: 0;
    color: #fff;
    text-align: center;
    font-size: 1.5em;
}

.grid_fil .card .face.face2 {
    position: relative;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: 0 20px 50px rgba(0, 0, 0, 0.8);
    transform: translateY(-100px);
}

.grid_fil .card:hover .face.face2 {
    transform: translateY(0);
}

.grid_fil .card .face.face2 .content p {
    margin: 0;
    padding: 0;
}

.grid_fil .card .face.face2 .content a {
    margin: 15px 0 0;
    display: inline-block;
    text-decoration: none;
    font-weight: 900;
    color: #333;
    padding: 5px;
    border: 1px solid #333;
}

.grid_fil .card .face.face2 .content a:hover {
    background: #333;
    color: #fff;
}

h1 {
  text-align: center;
}

ul {
  --col-gap: 2rem;
  --row-gap: 2rem;
  --line-w: 0.25rem;
  display: grid;
  grid-template-columns: var(--line-w) 1fr;
  grid-auto-columns: max-content;
  column-gap: var(--col-gap);
  list-style: none;
  width: 100%;
  margin-inline: auto;
}

ul::before {
  content: "";
  grid-column: 1;
  grid-row: 1 / span 20;
  background: rgb(225, 225, 225);
  border-radius: calc(var(--line-w) / 2);
}


ul li:not(:last-child) {
  margin-bottom: var(--row-gap);
}

ul li {
  grid-column: 2;
  --inlineP: 1.5rem;
  margin-inline: var(--inlineP);
  grid-row: span 2;
  display: grid;
  grid-template-rows: min-content min-content min-content;
}


ul li .date {
  --dateH: 3rem;
  height: var(--dateH);
  margin-inline: calc(var(--inlineP) * -1);

  text-align: center;
  background-color: var(--accent-color);

  color: white;
  font-size: 1.25rem;
  font-weight: 700;

  display: grid;
  place-content: center;
  position: relative;

  border-radius: calc(var(--dateH) / 2) 0 0 calc(var(--dateH) / 2);
}


ul li .date::before {
  content: "";
  width: var(--inlineP);
  aspect-ratio: 1;
  background: var(--accent-color);
  background-image: linear-gradient(rgba(0, 0, 0, 0.2) 100%, transparent);
  position: absolute;
  top: 100%;

  clip-path: polygon(0 0, 100% 0, 0 100%);
  right: 0;
}

ul li .date::after {
  content: "";
  position: absolute;
  width: 2rem;
  aspect-ratio: 1;
  background: var(--bgColor);
  border: 0.3rem solid var(--accent-color);
  border-radius: 50%;
  top: 50%;

  transform: translate(50%, -50%);
  right: calc(100% + var(--col-gap) + var(--line-w) / 2);
}


ul li .title,
ul li .descr {
  background: var(--bgColor);
  position: relative;
  padding-inline: 1.5rem;
}
ul li .title {
  overflow: hidden;
  padding-block-start: 1.5rem;
  padding-block-end: 1rem;
  font-weight: 500;
}
ul li .descr {
  padding-block-end: 1.5rem;
  font-weight: 300;
}


ul li .title::before,
ul li .descr::before {
  content: "";
  position: absolute;
  width: 90%;
  height: 0.5rem;
  background: rgba(0, 0, 0, 0.5);
  left: 50%;
  border-radius: 50%;
  filter: blur(4px);
  transform: translate(-50%, 50%);
}
ul li .title::before {
  bottom: calc(100% + 0.125rem);
}

ul li .descr::before {
  z-index: -1;
  bottom: 0.25rem;
}

@media (min-width: 40rem) {
  ul {
    grid-template-columns: 1fr var(--line-w) 1fr;
  }
  ul::before {
    grid-column: 2;
  }
  ul li:nth-child(odd) {
    grid-column: 1;
  }
  ul li:nth-child(even) {
    grid-column: 3;
  }

  ul li:nth-child(2) {
    grid-row: 2/4;
  }

  ul li:nth-child(odd) .date::before {
    clip-path: polygon(0 0, 100% 0, 100% 100%);
    left: 0;
  }

  ul li:nth-child(odd) .date::after {
    transform: translate(-50%, -50%);
    left: calc(100% + var(--col-gap) + var(--line-w) / 2);
  }
  ul li:nth-child(odd) .date {
    border-radius: 0 calc(var(--dateH) / 2) calc(var(--dateH) / 2) 0;
  }
}

.credits {
  margin-top: 1rem;
  text-align: right;
}
.credits a {
  color: var(--color);
}

.map_content{
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 2rem;
    border-bottom: 0.5px solid lightgray;
    border-left: 0.5px solid lightgray;
    border-right: 0.5px solid lightgray;
    padding: 10px;
}
.txt_content{
    display: flex;
    flex-direction: column;
    justify-content: start;
    text-align: justify;
    font-size: 1rem;
    gap: 0.5rem;
}

.txt_content a{
    font-size: 1.5rem;
    color: #001f3f;
    text-decoration: underline;
}
.log{
    width: 50px;

}
h2, h4, h3, p, a{
    margin: 0;
}
.sub_log{
    width: 35px;
}
.choices{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
p{
    font-size: 1.5rem;
    font-weight: 800;
    margin: 0;
}
.chx{
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 2rem;
}
.jav{
    font-size: 1.5rem;
    font-weight: 700;
    text-decoration: none;
}
.parag{
  text-align: center;
  font-size: 2rem;
  color:#405A7F;
  margin: 20px;
  word-spacing:10px;
}